Subject: Re: bug#1174: 23.0.60; Some UTF-8 mails displaying wrongly in Emacs 23

From: Stefan Monnier <[email-masked]>
Date: Thu, 23 Oct 2008 09:58:55 -0400

>>> ;; BEWARE: we used to use string-as-multibyte here which is braindead
>>> ;; because it will turn accidental emacs-mule-valid byte sequences
>>> ;; into multibyte chars.  --Stef
>>> ;; Reverted, braindead got 7.5 out of 10 on imdb, so it can't be
>>> ;; that bad. --Simon
>> 
>> Who's this Simon who reverted my change without even explaining why?

> So, what's the outcome? We found the place where the bug occurs, I can
> confirm that with string-to-multibyte instead of string-as-multibyte
> everything works as expected, what's next?

Next is to get this Simon to explain his change, so we can resolve the
conflict between mine and his.

        Stefan